Subject: Re: Dropping Git.pm (at least Git.xs)?

From: Sam Vilain <[email-masked]>
Date: Mon, 11 Sep 2006 05:59:54 +1200

Dennis Stosberg wrote:
> Having perl bindings to git internals and sometime in the future to a
> libified git is a great thing.  It will allow people to do interesting
> things, quickly trying concepts without having to write any C code.
> And I expect that gitweb can be sped up remarkably by using Git.pm (no
> forking, parsing of command output often not necessary, easy caching of
> frequently cached data across calls, etc)

FWIW, I have been starting on a perl implementation.  It uses the
Git.pm, but not for anything *that* important.  It's still very young,
but once I have reading and writing files basically working, I'll
release it to CPAN separately - no reason it needs to be distributed
with Git itself.

See http://utsl.gen.nz/gitweb/?p=VCS-Git

I used this design to talk about Moose at YAPC::Europe 2006.
http://utsl.gen.nz/talks/moose/start.html

Sam.